Open Lighting Architecture: ola::acn::DMPAddress< type > Class Template Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
ola::acn::DMPAddress< type > Class Template Reference
Inheritance diagram for ola::acn::DMPAddress< type >:

## Public Member Functions
| DMPAddress (type start)
unsigned int | Start () const
unsigned int | Increment () const
unsigned int | Number () const
dmp_address_size | AddressSize () const
bool | Pack (uint8_t *data, unsigned int *length) const
void | Write (ola::io::OutputStream *stream) const
bool | IsRange () const
Public Member Functions inherited from ola::acn::BaseDMPAddress
virtual unsigned int | Size () const

## Protected Member Functions
unsigned int | BaseSize () const

## Member Function Documentation

## ◆ AddressSize()

template<typename type>

dmp_address_size ola::acn::DMPAddress< type >::AddressSize | ( |  | ) | const
| inlinevirtual

Implements ola::acn::BaseDMPAddress.

## ◆ BaseSize()

template<typename type>

unsigned int ola::acn::DMPAddress< type >::BaseSize | ( |  | ) | const
| inlineprotectedvirtual

Implements ola::acn::BaseDMPAddress.

## ◆ Increment()

template<typename type>

unsigned int ola::acn::DMPAddress< type >::Increment | ( |  | ) | const
| inlinevirtual

Implements ola::acn::BaseDMPAddress.

## ◆ IsRange()

template<typename type>

bool ola::acn::DMPAddress< type >::IsRange | ( |  | ) | const
| inlinevirtual

Implements ola::acn::BaseDMPAddress.

## ◆ Number()

template<typename type>

unsigned int ola::acn::DMPAddress< type >::Number | ( |  | ) | const
| inlinevirtual

Implements ola::acn::BaseDMPAddress.

## ◆ Pack()

template<typename type>

bool ola::acn::DMPAddress< type >::Pack | ( | uint8_t * | data,
|  | unsigned int * | length ) const
| inlinevirtual

Implements ola::acn::BaseDMPAddress.

## ◆ Start()

template<typename type>

unsigned int ola::acn::DMPAddress< type >::Start | ( |  | ) | const
| inlinevirtual

Implements ola::acn::BaseDMPAddress.

## ◆ Write()

template<typename type>

void ola::acn::DMPAddress< type >::Write | ( | ola::io::OutputStream * | stream | ) | const
| inlinevirtual

Implements ola::acn::BaseDMPAddress.

The documentation for this class was generated from the following file:

- libs/acn/DMPAddress.h